Skip to main content
POST
Terminate Entitlement

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-RequestIdentifier
string

Request unique identifier. This id should be used for idempotency.

Path Parameters

merchantEntitlementId
string<uuid>
required

Unique identifier used on activation.

Body

application/json

The entitlement revoke JSON.

To determine if the termination is effective immediatly.

immediate
boolean
required

Determines if the termination is effective immediately. Immediate termination results in HARD edning of the subscription:

  • TRUE
  • FALSE
reasonCode
string

Code representing the entitlement revoke reason. This code can be any value, but we recommend you use one of the following codes:

  • "FRAUD": The user has not renewed the subscription
  • "ACCOUNT_TERMINATED": The user is no longer a customer
  • "SECURITY": For security reasons, access to this entitlement has been terminated
  • "OTHER": Other
Example:

"FRAUD"

reasonCategory
string

String representing the category to which a set of reason codes belong to.

reasonDescription
string

Description of the entitlement revoke reason

Example:

"Personal data stolen"

bangoUserId
string

Unique identifier representing a specific customer of the reseller as a Bango anonymised value.

Example:

"1549053185"

sharedCustomerId
string<uuid>

Bango generated id shared between reseller and merchant for this customer (contact support for setup)

Example:

"414b3019-0c28-4d14-9c5f-6217b8bd1e3e"

resellerId
string

Unique reseller identifier as agreed with the merchant

Example:

"XYZ_RESELLER"

productId
string

Entitlement product unique identifier. For example, "BangoMusic".

Example:

"BangoMusic"

offerId
string

The offer given to the user for the merchant service. For example, "FREE_FOR_6_MONTHS".

Example:

"FREE_FOR_6_MONTHS"

customerId
string

Unique identifier representing a specific customer of the reseller not anonymised. This value will only be sent by Bango if the Merchant and Reseller both approve the sharing of this data

status
enum<string>

Entitlement status. Possible values are:

  • "ACTIVE": The entitlement has been successfully activated
  • "SUSPENDED": The entitlement has been suspended.
  • "PENDING": The entitlement has been initiated, but the user has not yet finalized the activation process.
  • "ACTIVE-ENDING": The entitlement is ending at the end of the current period.
Available options:
ACTIVE,
SUSPENDED,
PENDING,
ACTIVE-ENDING
Example:

"PENDING"

merchantExtensionData
object
Example:
extraInformation
object
financeData
object
merchantBangoExtensionData
object
Example:

Response

Entitlement terminated successfully

Response for termination request

responseCode
string
Example:

"OK"

responseMessage
string
Example:

"Success"

terminationDate
string<date-time>

Date and time when the entitlement was or will be terminated, in UTC ISO 8601. format (yyyy-MM-ddThh:mm:ssZ)